Bug 1570464 - Review Request: ubertooth - A Bluetooth wireless development platform for experimentation
Summary: Review Request: ubertooth - A Bluetooth wireless development platform for exp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1102812 (view as bug list)
Depends On: 1570463
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 02:15 UTC by Sergey Avseyev
Modified: 2018-05-11 01:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-24 11:53:21 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Sergey Avseyev 2018-04-23 02:15:50 UTC
Spec URL: https://avsej.fedorapeople.org/ubertooth/0/ubertooth.spec
SRPM URL: https://avsej.fedorapeople.org/ubertooth/0/ubertooth-2017.03.R2-1.fc29.src.rpm
Description: Project Ubertooth is an open source wireless development platform suitable for Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart) sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic connections.
Fedora Account System Username: avsej

Build URL: https://copr.fedorainfracloud.org/coprs/avsej/ubertooth/build/744121/

Comment 1 Sergey Avseyev 2018-04-23 02:17:59 UTC
*** Bug 1102812 has been marked as a duplicate of this bug. ***

Comment 2 Robert-André Mauchin 🐧 2018-04-23 20:07:09 UTC
 -Some parts are BSD licensed:

BSD (3 clause)
--------------
ubertooth-2017-03-R2/firmware/common/lpcusb/target/debug.h
ubertooth-2017-03-R2/firmware/common/lpcusb/target/type.h
ubertooth-2017-03-R2/firmware/common/lpcusb/target/usbapi.h
ubertooth-2017-03-R2/firmware/common/lpcusb/target/usbcontrol.c
ubertooth-2017-03-R2/firmware/common/lpcusb/target/usbhw_lpc.c
ubertooth-2017-03-R2/firmware/common/lpcusb/target/usbhw_lpc.h
ubertooth-2017-03-R2/firmware/common/lpcusb/target/usbinit.c
ubertooth-2017-03-R2/firmware/common/lpcusb/target/usbstdreq.c
ubertooth-2017-03-R2/firmware/common/lpcusb/target/usbstruct.h
ubertooth-2017-03-R2/firmware/common/serial_fifo.c
ubertooth-2017-03-R2/firmware/common/serial_fifo.h

BSD (3 clause) GPL (v2 or later)
--------------------------------
ubertooth-2017-03-R2/firmware/assembly_test/assembly_test.c
ubertooth-2017-03-R2/firmware/bluetooth_rxtx/ubertooth_usb.c
ubertooth-2017-03-R2/firmware/bluetooth_rxtx/ubertooth_usb.h
ubertooth-2017-03-R2/firmware/bootloader/bootloader.cpp
ubertooth-2017-03-R2/firmware/common/usb_serial.c
ubertooth-2017-03-R2/firmware/common/usb_serial.h

   Add it to the licensing and add a comment explaining the license breakdown.

 - [!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define POSTYEAR 2017, %define
     POSTMONTH 03, %define POSTNUM 2


 - Remove the shebang of this script:

ubertooth-specan-ui.x86_64: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/specan/Ubertooth.py /usr/bin/env python



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "*No copyright* GPL (v2 or later)", "GPL (v2 or later)",
     "GPL (v3 or later)", "Unknown or generated", "*No copyright* GPL",
     "BSL (v1.0)", "GPL (v2 or later) (with incorrect FSF address)", "BSD
     (3 clause)", "LGPL (v2.1 or later)", "BSD (3 clause) GPL (v2 or
     later)". 106 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ubertooth/review-
     ubertooth/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/lib/udev/rules.d
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libubertooth , ubertooth-specan-ui
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define POSTYEAR 2017, %define
     POSTMONTH 03, %define POSTNUM 2
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ubertooth-2017.03.R2-1.fc29.x86_64.rpm
          libubertooth-2017.03.R2-1.fc29.x86_64.rpm
          ubertooth-devel-2017.03.R2-1.fc29.x86_64.rpm
          ubertooth-specan-ui-2017.03.R2-1.fc29.x86_64.rpm
          ubertooth-debuginfo-2017.03.R2-1.fc29.x86_64.rpm
          ubertooth-debugsource-2017.03.R2-1.fc29.x86_64.rpm
          ubertooth-2017.03.R2-1.fc29.src.rpm
ubertooth.x86_64: W: only-non-binary-in-usr-lib
ubertooth.x86_64: W: no-manual-page-for-binary ubertooth-debug
ubertooth.x86_64: W: no-manual-page-for-binary ubertooth-follow
ubertooth.x86_64: W: no-manual-page-for-binary ubertooth-tx
libubertooth.x86_64: W: spelling-error %description -l en_US Ubertooth -> Bluetooth
libubertooth.x86_64: W: spelling-error %description -l en_US ubertooth -> Bluetooth
libubertooth.x86_64: W: shared-lib-calls-exit /usr/lib64/libubertooth.so.1.0 exit@GLIBC_2.2.5
ubertooth-devel.x86_64: W: spelling-error Summary(en_US) libubertooth -> Halliburton
ubertooth-devel.x86_64: W: only-non-binary-in-usr-lib
ubertooth-devel.x86_64: W: no-documentation
ubertooth-specan-ui.x86_64: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/specan/Ubertooth.py /usr/bin/env python
ubertooth-specan-ui.x86_64: E: non-executable-script /usr/lib/python3.6/site-packages/specan/Ubertooth.py 644 /usr/bin/env python
ubertooth-specan-ui.x86_64: W: no-manual-page-for-binary ubertooth-specan-ui
ubertooth-debugsource.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 2 errors, 12 warnings.

Comment 3 Sergey Avseyev 2018-04-23 21:21:51 UTC
I've fixed shebang and globals. Also I've added explanation about licenses, but shall I really put BSD into License tag of the package, when I really not packaging firmware code and hardware specs here? It will be only in upstream tarball inside SRPM.

Spec URL: https://avsej.fedorapeople.org/ubertooth/1/ubertooth.spec
SRPM URL: https://avsej.fedorapeople.org/ubertooth/1/ubertooth-2017.03.R2-1.fc29.src.rpm
Build URL: https://copr.fedorainfracloud.org/coprs/avsej/ubertooth/build/744624/

Comment 4 Robert-André Mauchin 🐧 2018-04-23 22:13:46 UTC
It's okay, package approved.

Comment 5 Gwyn Ciesla 2018-04-24 01:26:59 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ubertooth

Comment 6 Fedora Update System 2018-04-30 22:17:47 UTC
ubertooth-2017.03.R2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8580e8eb95

Comment 7 Fedora Update System 2018-05-01 14:13:32 UTC
ubertooth-2017.03.R2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8580e8eb95

Comment 8 Fedora Update System 2018-05-11 01:23:47 UTC
ubertooth-2017.03.R2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.